<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{0786BB9F-0092-44A2-9CA0-263F5A0AA86E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MediII.Adapter.BizComponent.UE</RootNamespace>
    <AssemblyName>MediII.Adapter.BizComponent.UE</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DocumentationFile>
    </DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MediII.Common, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll\MediII.Common.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.EnterpriseLibrary.Common, Version=4.1.0.0, Culture=neutral, PublicKeyToken=e44a2bc38ed2c13c, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll\Microsoft.Practices.EnterpriseLibrary.Common.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.EnterpriseLibrary.Data, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll\Microsoft.Practices.EnterpriseLibrary.Data.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.EnterpriseLibrary.Logging, Version=4.1.0.0, Culture=neutral, PublicKeyToken=e44a2bc38ed2c13c, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll\Microsoft.Practices.EnterpriseLibrary.Logging.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.XML" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DebugScanner.cs" />
    <Compile Include="DefaultDBScanner.cs" />
    <Compile Include="HL7_MFN_Scanner.cs" />
    <Compile Include="HL7_DFT_Scanner.cs" />
    <Compile Include="HL7_PMU_Scanner.cs" />
    <Compile Include="HL7_ADT_Scanner.cs" />
    <Compile Include="HL7_Lock_Scanner.cs" />
    <Compile Include="HL7_TimeOut_Scanner.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Public\IL.Common\IL.Common.csproj">
      <Project>{f320951f-886b-4f99-a3fd-5686c0a97868}</Project>
      <Name>IL.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Public\MediII.Adapter.Scan.Interface\MediII.Adapter.Scan.Interface.csproj">
      <Project>{4e8c6d0e-e696-4f02-812f-cedd6fe3f6dc}</Project>
      <Name>MediII.Adapter.Scan.Interface</Name>
    </ProjectReference>
    <ProjectReference Include="..\IL.BizComponent\MediII.Adapter.BizComponent.Base\MediII.Adapter.BizComponent.Base.csproj">
      <Project>{619b1dbf-55b7-446b-af40-852a6ab689a0}</Project>
      <Name>MediII.Adapter.BizComponent.Base</Name>
    </ProjectReference>
    <ProjectReference Include="..\MediII.Adapter.ReceiveToScanModel\MediII.Adapter.ReceiveToScanModel.csproj">
      <Project>{f182ac2b-a0d5-40d2-89af-8d547606b6ac}</Project>
      <Name>MediII.Adapter.ReceiveToScanModel</Name>
    </ProjectReference>
    <ProjectReference Include="..\MediII.Adapter.Scanner\MediII.Adapter.Scanner.csproj">
      <Project>{0adddb14-b0f6-4d12-8025-5ec8124a511b}</Project>
      <Name>MediII.Adapter.Scanner</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>Copy $(TargetDir)   $(ProjectDir)..\MessageToScan\UE\
Copy $(TargetDir)   $(ProjectDir)..\MessageToScanServer\UE\</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>